<?php
function inf_cont()
{
require('../cfg/res.php');
	
$xacceso=0;
$sql_acce='select * from usrdoc1 where docu like "DD%" and info="1" and user="'.$_SESSION['user_vcrx_id'].'" ';
// 	echo explain_sql($sql_acce);
$res_acce=mysql_query($sql_acce,$link_vcrx);
if (mysql_num_rows($res_acce)!=0){$xacceso=1;}
if (mb_stristr('sist.supe',$_SESSION['user_vcrx_tipo'])){$xacceso=1;}
if ($xacceso==0){echo '<font size="8" color="red"><b>';die('No tiene acceso a Informe de Contabilidad ' );}	
	
mysql_query("SET NAMES 'utf8'");

if (1==1){	
	
// mysql_query('insert into ctas0(ctas_codigo,ctas_descri)value("9999999999","NO DEFINIDO")',$link_vcrx);
mysql_query('update cont2 set ctas=trim(ctas)',$link_vcrx);
mysql_query('update cont2 set ctas="9999999999" where ctas="" or ctas is null',$link_vcrx);
	
//mysql_query('update cont1,docu0 set mdfrom=upper(docu_tabla) where docu=docu_codigo and docu not like "DD%" and docu not like "DT%"',$link_vcrx);

// idfroms de contabilidad	
// $sql_uidf='update cont1,modu1 set cont1.idfrom=modu1.idnum1'
// 					.' where cont1.docu=modu1.docu'.' and cont1.numero=modu1.numero and cont1.fecha=modu1.fecha'.' and cont1.enti=modu1.enti'
//  					.' and cont1.status!="X"'.' and cont1.status!="O"'.' and modu1.status!="X"'.' and modu1.status!="O"';
	
// mysql_query(str_replace('modu1','vtas1',$sql_uidf),$link_vcrx);
// mysql_query(str_replace('modu1','comp1',$sql_uidf),$link_vcrx);
// mysql_query(str_replace('modu1','caja1',$sql_uidf),$link_vcrx);
// mysql_query(str_replace('modu1','bcos1',$sql_uidf),$link_vcrx);
// mysql_query(str_replace('modu1','inve1',$sql_uidf),$link_vcrx);
// mysql_query(str_replace('modu1','nomi1',$sql_uidf),$link_vcrx);
// mysql_query(str_replace('modu1','retc1',$sql_uidf),$link_vcrx);
// mysql_query(str_replace('modu1','retp1',$sql_uidf),$link_vcrx);
}	
	
	
	
	
	
	
// $sql_fini1='select * from empr0';
$sql_fini1='select min(fecha)as empr_fcont from cont1 where status!="X"';
$res_fini1=mysql_query($sql_fini1,$link_vcrx);
$fini1=mysql_result($res_fini1,0,'empr_fcont');
	
// $fecha1 = date('Y-m-j');
// $nuevafecha = strtotime ( '-1 month' , strtotime ( $fecha1 ) ) ;
$nuevafecha = strtotime ( '+1 month' , strtotime ( $fini1 ) ) ;
// $xfecha1 = date ( 'Y-m-01' , $nuevafecha );
$xfecha1= date('Y-m-'.'01');
$xfecha2= date('Y-m-d');
	
$xfrepor='S';	
$xfnivel='5';
$xfcom0='true';
?>

<script type="text/javascript">
<?php include('../../_js/busca_maes3.js');?>
<?php include('../../_js/lista_maes3.js');?>
<?php include('../../_js/fecha_format.js');?>

function _fecha(e,idfec)
{
// 	if(e.keyCode==13)
if(e.keyCode==9 || e.keyCode==13)
	{
		var fn=document.getElementById(idfec).value;
		fn=fecha_format(fn);
		document.getElementById(idfec).value=fn;
	}
}


function icont1d(grupox,idnumx,obj)
{
	var obj2=obj.parentNode;
	var obj3=obj2.parentNode;	
	for(i=0;i<=document.getElementsByClassName('filax').length-1;i++)
	{
		document.getElementsByClassName('filax').item(i).style.background='#fff';
	}
       obj3.style.background='#09c';

	var enti,item;
	enti=document.getElementById('enti').value;
	item=document.getElementById('item').value;
	
$.ajax({
		cache:false,
		url:'../lib/vricont1d.php',
		datatype: "text",
	    async:false,
		type:'POST',
		data:{grupo:grupox,idnum:idnumx,fini:document.getElementById('fecha_ini').value,ffin:document.getElementById('fecha_fin').value,enti:enti,item:item},
    	beforeSend: function(jqXHR, textStatus)
		{
	
		}, 
		
		success:function(dato, textStatus, jqXHR)
		{
			 document.getElementById('infcont2').innerHTML=dato;
		},
		error:function(jqXHR,textStatus,errorThrown )
		{
           if (jqXHR.status === 0) {
              document.getElementById('infcont2').innerHTML='Not connect: Verify Network.';
           } else if (jqXHR.status == 404) {
               document.getElementById('infcont2').innerHTML='Requested page not found [404]';
           } else if (jqXHR.status == 500) {
               document.getElementById('infcont2').innerHTML='Internal Server Error [500].';
           } else if (exception === 'parsererror') {
               document.getElementById('infcont2').innerHTML='Requested JSON parse failed.';
           } else if (exception === 'timeout') {
               //console.log('Time out error.');
			   document.getElementById('infcont2').innerHTML='Servidor no Responde';
           } else if (exception === 'abort') {
               document.getElementById('infcont2').innerHTML='Ajax request aborted.';
           } else {
               document.getElementById('infcont2').innerHTML='Uncaught Error: ' + jqXHR.responseText;
           }

		}, 
	    complete:function(jqXHR, textStatus)
    	{
			
			if(textStatus==='success')
	        {
 
			}           
		},
		timeout:60000
	});

}


function redireccionar() 
{
var fecha_ini=document.getElementById('fecha_ini').value;
var fecha_fin=document.getElementById('fecha_fin').value;

	
var fcsub=document.getElementById('fcsub').value;
var flsub=document.getElementById('flsub').value;
var item=document.getElementById('item').value;
var fzsub=document.getElementById('fzsub').value;
var enti=document.getElementById('enti').value;
var docu=document.getElementById('docu').value;
var ctas=document.getElementById('ctas').value;

var fcero=document.getElementById('fcero').checked;
var fcord=document.getElementById('fcord').checked;
var fcom0=document.getElementById('fcom0').checked;
var fcom1=document.getElementById('fcom1').checked;
var fcom2=document.getElementById('fcom2').checked;
var f2col=document.getElementById('f2col').checked;
var fdtr1=document.getElementById('fdtr1').checked;


var frepord=document.getElementById('frepord').checked;
var frepors=document.getElementById('frepors').checked;
var freporb=document.getElementById('freporb').checked;
var freporr=document.getElementById('freporr').checked;
var freport=document.getElementById('freport').checked;
var frepor='S';

if (frepord){frepor='D';}
if (frepors){frepor='S';}
if (freporb){frepor='B';}
if (freporr){frepor='R';}
if (freport){frepor='T';}


var fnivel3=document.getElementById('fnivel3').checked;
var fnivel4=document.getElementById('fnivel4').checked;
var fnivel5=document.getElementById('fnivel5').checked;
var fnivel='5';

if (fnivel3){fnivel='3';}
if (fnivel4){fnivel='4';}
if (fnivel5){fnivel='5';}

// pagina="?opt=<?php echo $_GET['opt']?>" 
// +"&fecha_ini="+fecha_ini 
// +"&fecha_fin="+fecha_fin 
// +"&frepor="+frepor
// +"&fnivel="+fnivel
// +"&ctas="+ctas
// +"&enti="+enti
// +"&item="+item 
// +"&fcsub="+fcsub 
// +"&flsub="+flsub 
// +"&fzsub="+fzsub
// +"&fcero="+fcero
// +"&fcord="+fcord
// +"&fcom0="+fcom0
// +"&fcom1="+fcom1
// +"&fcom2="+fcom2
// +"&fdtr1="+fdtr1
// +"&f2col="+f2col;
document.getElementById('infcont1').innerHTML='Cargando datos.....';
		$.ajax({
		cache:false,
		url:'vricont2.php',
		datatype: "text",
	    async:true,
		type:'POST',
		data:{opt:"<?php echo $_GET['opt']?>",
		fecha_ini:fecha_ini,
		fecha_fin:fecha_fin,
		frepor:frepor,
		fnivel:fnivel,
		ctas:ctas,
		enti:enti,
		docu:docu,
		item:item,
		fcsub:fcsub,
		flsub:flsub,
		fcero:fcero,
		fcord:fcord,
		fcom0:fcom0,
		fcom1:fcom1,
		fcom2:fcom2,
		fdtr1:fdtr1,
		f2col:f2col}, 
    	beforeSend: function(jqXHR, textStatus){}, 
		
		success:function(dato, textStatus, jqXHR)
		{document.getElementById('infcont1').innerHTML=dato;},

		error:function(jqXHR,textStatus,errorThrown )
		{
				if (jqXHR.status === 0) {
	              console.log('Not connect: Verify Network.');
		           } else if (jqXHR.status == 404) {
	               console.log('Requested page not found [404]');
		           } else if (jqXHR.status == 500) {
	               console.log('Internal Server Error [500].');
		           } else if (exception === 'parsererror') {
	               console.log('Requested JSON parse failed.');
		           } else if (exception === 'timeout') {
	               alert('Servidor no Responde');
		           } else if (exception === 'abort') {
	               console.log('Ajax request aborted.');
		           } else {
	               console.log('Uncaught Error: ' + jqXHR.responseText);
           			}
			
			
		   

		}, 
		complete:function(jqXHR, textStatus)
    	{
			if(textStatus==='success')
	        {
				    				    	
			}
		},
		timeout:300000
	});

	
	
//location.href=pagina;
} 



function imprimirlista() 
{
var fecha_ini=document.getElementById('fecha_ini').value;
var fecha_fin=document.getElementById('fecha_fin').value;

var fcsub=document.getElementById('fcsub').value;
var flsub=document.getElementById('flsub').value;
var item=document.getElementById('item').value;
var fzsub=document.getElementById('fzsub').value;
var ctas=document.getElementById('ctas').value;
var enti=document.getElementById('enti').value;
var docu=document.getElementById('docu').value;

var fcero=document.getElementById('fcero').checked;
var fcord=document.getElementById('fcord').checked;
var fdtr1=document.getElementById('fdtr1').checked;
var fcom0=document.getElementById('fcom0').checked;
var fcom1=document.getElementById('fcom1').checked;
var fcom2=document.getElementById('fcom2').checked;
var f2col=document.getElementById('f2col').checked;

var frepord=document.getElementById('frepord').checked;
var frepors=document.getElementById('frepors').checked;
var freporb=document.getElementById('freporb').checked;
var freporr=document.getElementById('freporr').checked;
var freport=document.getElementById('freport').checked;
var frepor='S';

if (frepord){frepor='D';}
if (frepors){frepor='S';}
if (freporb){frepor='B';}
if (freporr){frepor='R';}
if (freport){frepor='T';}

var fnivel3=document.getElementById('fnivel3').checked;
var fnivel4=document.getElementById('fnivel4').checked;
var fnivel5=document.getElementById('fnivel5').checked;
var fnivel='5';

if (fnivel3){fnivel='3';}
if (fnivel4){fnivel='4';}
if (fnivel5){fnivel='5';}

pagina="../lib/impr_icont0.php?"
+"&fecha_ini="+fecha_ini 
+"&fecha_fin="+fecha_fin 
+"&frepor="+frepor
+"&fnivel="+fnivel
+"&ctas="+ctas
+"&enti="+enti
+"&item="+item 
+"&fcsub="+fcsub 
+"&flsub="+flsub 
+"&fzsub="+fzsub
+"&fcero="+fcero
+"&fcord="+fcord
+"&fcom0="+fcom0
+"&fcom1="+fcom1
+"&fcom2="+fcom2
+"&fdtr1="+fdtr1
+"&f2col="+f2col;


window.open(pagina);
} 

function _ctas(e)
{
	if(e.keyCode==9 || e.keyCode==13)
	{
		busca_maes2('ctas',document.getElementById('ctas').value,'ctas','ctas_descri','');
	}
}


function _enti(e)
{
	if(e.keyCode==9 || e.keyCode==13)
	{
		busca_maes2('enti',document.getElementById('enti').value,'enti','enti_descri','');
	}
}

function _item(e)
{

	if(e.keyCode==9 || e.keyCode==13)
	{
			busca_maes2('item',document.getElementById('item').value,'item','descri','');
	}
}
	
	

</script>


<div style=" max-height:200px; overflow-y:scroll; margin-top:5px;">

<table id="tabla_filtros" width="100%" border="0" cellspacing="0" cellpadding="2" style="border-collapse:collapse;font-size:12px; border:#000000 solid 1px;">
<tr align="left" valign="top">


<th>
<table><caption>FECHAS</caption>	
	<tr>
		<?php $pcaption='inicial';  $pidtxt='fecha_ini'; $pdefa=$xfecha1; $pobj=3; include('vrgetfec.php'); ?>
</tr>
	<tr>
		<?php $pcaption='final';  $pidtxt='fecha_fin'; $pdefa=$xfecha2; $pobj=3; include('vrgetfec.php'); ?>
</tr>
	</table>
<!-- <div align="center">
FECHAS
</div>
<div align="right">
<span>Inicial</span> <input type="text" id="fecha_ini" placeholder="aaaa-mm-dd" size="6" onkeydown="_fecha(event,'fecha_ini');" value="<?php echo $xfecha1;?>" /> 
</div>
<div align="right">
<span>Final</span> <input type="text" id="fecha_fin" placeholder="aaaa-mm-dd" size="6" onkeydown="_fecha(event,'fecha_fin');" value="<?php echo $xfecha2;?>" />
</div> -->
</th>


<th style ="border-left:solid 1px;">
<div align="center">
<span>REPORTE</span>
</div>
<div align="left">
<input type="radio" id="frepord" name="trepo" <?php if($xfrepor=='D'){echo 'checked';}?>/><span>Libro Diario</span> <br/>
<input type="radio" id="frepors" name="trepo" <?php if($xfrepor=='S'){echo 'checked';}?>/><span>Sumas y Saldos</span> <br/>
<input type="radio" id="freport" name="trepo" <?php if($xfrepor=='T'){echo 'checked';}?>/><span>Sumas y Saldos (X Nivel)</span> <br/>
</div>
</th>

<th >
<div align="center">
<span></span>
</div>
<div align="left">
<br>
<input type="radio" id="freporb" name="trepo" <?php if($xfrepor=='B'){echo 'checked';}?>/><span>Balance General</span> <br/>
<input type="radio" id="freporr" name="trepo" <?php if($xfrepor=='R'){echo 'checked';}?>/><span>Resultados</span> <br/>
</div>
</th>

	
<th style ="border-left:solid 1px;">
<div align="center">
<span>Formato</span>
</div>
<div align="left">
<input type="radio" id="fcom0" name="fcom" <?php if($xfcom0=='true'){echo 'checked';}?>/><span>Simple</span> <br/>
<input type="radio" id="fcom1" name="fcom" <?php if($xfcom1=='true'){echo 'checked';}?>/><span>Compar.Acum.</span> <br/>
<input type="radio" id="fcom2" name="fcom" <?php if($xfcom2=='true'){echo 'checked';}?>/><span>Compar.Prdo.</span> <br/>
</div>
</th>
	
	
	
<th >
<div align="center">
<span></span>
</div>
<div align="left">
<br>
<input type="checkbox" id="fcord" name="fcord" <?php if($xfcord=='true'){echo 'checked';}?>/><span>Cuentas de Orden</span> <br/>
<input type="checkbox" id="fdtr1" name="fdtr1" <?php if($xfdtr1=='true'){echo 'checked';}?>/><span>Diario TR</span> <br/>
</div>
</th>




<th style ="border-left:solid 1px;">
<div align="center">
<span>Nivel</span>
</div>
<div align="right">
<input type="radio" id="fnivel3" name="tcodi" <?php if($xfnivel=='3'){echo 'checked';}?>/><span>Nivel 3</span> <br/>
<input type="radio" id="fnivel4" name="tcodi" <?php if($xfnivel=='4'){echo 'checked';}?>/><span>Nivel 4</span> <br/>
<input type="radio" id="fnivel5" name="tcodi" <?php if($xfnivel=='5'){echo 'checked';}?>/><span>Nivel 5</span> <br/>
</div>
</th>





<th style ="border-left:solid 1px;">
<div align="center">
<span></span>
</div>
<div align="left">
<input type="checkbox" id="fcero" name="fcero" <?php if($xfcero=='true'){echo 'checked';}?>/><span>Saldos CERO</span> <br/>
</div>
<div align="left">
<input type="checkbox" id="f2col" name="f2col" <?php if($xf2col=='true'){echo 'checked';}?>/><span>2 Columnas</span> <br/>
</div>
</th>




<th style ="border-left:solid 1px;">
<?php $pcaption='Consultar';  $ponclick="redireccionar();" ;include('vrbutton.php'); ?>
<br>
<?php $pcaption='Imprimir';  $ponclick="imprimirlista();" ;include('vrbutton.php'); ?>
</th>

</tr>
</table>


<table id="tabla_filtros2" width="100%" border="0" cellspacing="0" cellpadding="2" style="border-collapse:collapse;font-size:12px; border:#000000 solid 1px;">

<th style ="border-left:solid 1px;">
<table>
<caption>FILTROS</caption>	
<tr>
		<?php $pcaption='DOCUMENTO';  $ptabla='docu'; ; $pdefa=$xfdocu; $pnotob=1; include('vrgetcod.php'); ?>
</tr>	
</table>	
</th>

<th>

<table>
<tr >
		<?php $pcaption='CUENTA';  $ptabla='ctas'; $pdefa=$xfctas; $pnotob=1; include('vrgetcod.php'); ?>
</tr>	
<tr>
		<?php $pcaption='CENTRO.S';  $ptabla='csub'; $pidtxt='fcsub'; $pdefa=$xfcsub; $pnotob=1; include('vrgetcod.php'); ?>
</tr>	
</table>	
</th>

<th>
<table>
<tr>
		<?php $pcaption='ENTIDAD';  $ptabla='enti'; ; $pdefa=$xfenti; $pnotob=1; include('vrgetcod.php'); ?>
</tr>	
<tr>
		<?php $pcaption='ITEM';  $ptabla='item'; ; $pdefa=$xfitem; $pnotob=1; include('vrgetcod.php'); ?>
</tr>	
</table>	

</th>
<th style="display:none;">
    	<div align="right">
	    <span>Zonas</span> 
	    <input type="text" id="fzsub" placeholder="zona" size="10" value="<?php echo $xfzsub;?>" /> 
	</div>
    	<div align="right">
	    <span>Lineas</span> 
	    <input type="text" id="flsub" placeholder="linea" size="10" value="<?php echo $xflsub;?>" /> 
	</div>
</th>


</table>

<table id="tabla_proceso" width="100%" border="0" cellspacing="0" cellpadding="2" style="border-collapse:collapse;font-size:12px; border:#000000 solid 1px;">
<tr >
<?php $pcaption='CUENTA TR';  $ptabla='ctas'; $pidtxt='ctasr'; include('vrgetcod.php'); ?>
<th style ="border-left:solid 1px;">
<?php $pcaption='Generar DTR';  $ponclick="gen_dtr1();" ;include('vrbutton.php'); ?>
</th>

</tr>	

</table>


</div>

<hr/>


<div id="infcont1" style="overflow-y:scroll; height:300px;"></div>

<br>
<div id="infcont2"></div>

<?php		
// $xwidth=40;	
require('lista_car.php');
?>	
<!-- 
<div id="lista_temporal_contenedor" style=" display:none; padding:0px; margin:0px; background: #666; opacity:0.5; width:100%; min-height: 100%; height:auto !important;position: fixed;top:0;left:0; z-index:1;" ></div>
<div id="lista_cargador" style=" display:none; background:#FFF;position: fixed; top:50px;z-index:10;" ><img src="../img/ajax-loader.gif" /></div>    
<div id="lista_temporal" style=" display:none; background:#FFF;position: fixed; top:50px;z-index:10; overflow-y:scroll; min-height:50px; max-height:400px; width:100%;" ><img src="../img/ajax-loader.gif" /></div>    
 -->

<?php }?>






